Linux evo.fastest-server.com 5.14.0-284.1101.el9.tuxcare.11.els11.x86_64 #1 SMP PREEMPT_DYNAMIC Fri Aug 14 13:30:35 UTC 2026 x86_64
LiteSpeed
Server IP : 103.249.112.113 & Your IP : 216.73.217.135
Domains : 988 Domain
User : tanishks
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
cagefs /
Delete
Unzip
Name
Size
Permission
Date
Action
.cagefs.empty
[ DIR ]
drwxr-xr-x
2026-09-04 11:35
__pycache__
[ DIR ]
drwxr-xr-x
2026-09-04 11:37
conf.d
[ DIR ]
drwx------
2026-09-04 11:35
configs
[ DIR ]
drwxr-xr-x
2026-09-04 11:34
cpanel
[ DIR ]
drwxr-xr-x
2026-09-04 11:37
exclude
[ DIR ]
drwxr-x---
2026-09-25 08:35
exclude.d
[ DIR ]
drwxr-x---
2026-09-04 11:35
safeprograms
[ DIR ]
drwxr-xr-x
2026-09-04 11:37
scriptlets
[ DIR ]
drwxr-xr-x
2026-09-04 11:37
service
[ DIR ]
drwxr-xr-x
2026-09-04 11:37
.lock
0
B
-rw-r--r--
2026-09-04 12:12
065-passenger-cagefs
395
B
-rwxr-xr-x
2026-07-31 12:29
cagefs_da_lib.py
6.13
KB
-rw-r--r--
2026-07-31 12:29
cagefs_docroots_monitor
2.67
MB
-rwxr-xr-x
2026-07-31 12:29
cagefs_universal_hook_lib.py
3.72
KB
-rw-r--r--
2026-07-31 12:29
cagefs_without_lve_lib.py
22.6
KB
-rw-r--r--
2026-07-31 12:29
cagefsctl.py
252.76
KB
-rw-r--r--
2026-07-31 12:29
cagefshooks.py
11.23
KB
-rw-r--r--
2026-07-31 12:29
cagefslib.py
141.13
KB
-rw-r--r--
2026-07-31 12:29
cagefsreconfigure.py
29
KB
-rw-r--r--
2026-07-31 12:29
check_params.py
20.63
KB
-rwxr-xr-x
2026-07-31 12:29
clean_user_alt_php_sessions_plesk
4.71
KB
-rwxr-xr-x
2026-07-31 12:29
clean_user_php_sessions
3.62
KB
-rwxr-xr-x
2026-07-31 12:29
exclude_users_cleaner.py
3.77
KB
-rwxr-xr-x
2026-07-31 12:29
feature_manager.py
14.03
KB
-rwxr-xr-x
2026-07-31 12:29
fix_fpm_services_in_container
414
B
-rwxr-xr-x
2026-07-31 12:29
generic_hook_lib.py
17.07
KB
-rw-r--r--
2026-07-31 12:29
logs.py
655
B
-rw-r--r--
2026-07-31 12:29
migrate.sh
3
KB
-rwxr-xr-x
2026-07-31 12:29
phpinivalidator.py
6.46
KB
-rw-r--r--
2026-07-31 12:29
repair_homes.log
60
B
-rw-r--r--
2026-09-04 11:35
repair_homes.py
34.46
KB
-rwxr-xr-x
2026-07-31 12:29
sanity_check.py
9.62
KB
-rw-r--r--
2026-07-31 12:29
setup_multiphp_integration
408
B
-rwxr-xr-x
2026-07-31 12:29
signals_handlers.py
857
B
-rw-r--r--
2026-07-31 12:29
virtmp_mount.py
8.88
KB
-rw-r--r--
2026-07-31 12:29
Save
Rename
#!/usr/bin/bash # Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved # # Licensed under CLOUD LINUX LICENSE AGREEMENT # http://cloudlinux.com/docs/LICENSE.TXT # Old base directory for SecureLVE. Do NOT change to "cagefs"! BASEDIR=/var/securelve currentpath=$(pwd) mode_set=0 if [ -d $BASEDIR ] then # CageFS is enabled ? if [ ! -e /etc/cagefs/users.enabled.save -a ! -e /etc/cagefs/users.disabled.save ]; then if [ ! -e /etc/cagefs/users.enabled ]; then if [ ! -e /etc/cagefs/users.disabled ]; then # /usr/sbin/cagefsctl --disable-all mkdir -p /etc/cagefs/users.enabled if [ ! -e /etc/cagefs/users.enabled ];then echo "Error: failed to set CageFS mode" else mode_set=1 fi fi fi fi cd $BASEDIR for dirname in *; do # Reject symlinked or non-regular jail passwd: this path runs as root and a # tenant-planted symlink (e.g. -> /etc/shadow) would be followed by the reads below. if [ -L "$dirname/etc/passwd" ] || [ ! -f "$dirname/etc/passwd" ]; then continue fi if [ -r "$dirname/etc/passwd" ];then # echo "Processing $dirname ..." # Obtain current shell for user (in real system) cur_shell=$(cat /etc/passwd | grep -m 1 -e "$dirname" | grep -o -P -e '[^:]+$') if [ $? != 0 ];then # echo "User $dirname does not exist in real system. skipping..." continue fi if ! echo "$cur_shell" | grep "securelve_sh" then # echo "User $dirname is disabled in SecureLVE. skipping..." continue fi # Obtain new shell for user shell=$(cat $dirname/etc/passwd | grep -m 1 -e "$dirname" | grep -o -P -e '[^:]+$') if [ $? != 0 ];then echo "Error while processing $dirname" # cd $currentpath # exit 1 continue fi echo "Set shell $shell for user $dirname" chsh -s $shell $dirname if [ $? != 0 ];then echo "Error while changing shell for user $dirname" # cd $currentpath # exit 1 continue fi if [ $mode_set -eq 1 ]; then echo "Enable CageFS for user $dirname" prefix=$(/usr/sbin/cagefsctl --getprefix $dirname) if [ $? != 0 ];then echo "Error while enabling CageFS for user $dirname" continue fi mkdir -p /etc/cagefs/users.enabled/$prefix touch /etc/cagefs/users.enabled/$prefix/$dirname if [ $? != 0 ];then echo "Error while enabling CageFS for user $dirname" continue fi fi fi done fi sed -i -e '/\/usr\/sbin\/jk_chrootsh/d' /etc/shells if [ $? != 0 ];then echo "Error while deleting shell from /etc/shells" cd $currentpath exit 1 fi sed -i -e '/\/usr\/sbin\/securelve_sh/d' /etc/shells if [ $? != 0 ];then echo "Error while deleting shell from /etc/shells" cd $currentpath exit 1 fi cd $currentpath